<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body
{
	font-family: Roboto,sans-serif;
}
/* The Modal (background) */
.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
    background-color:#fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 50%;
}

/* The Close Button */
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}
form
{
	width:50%;
}
  	.fbgodiv
  	{
		margin-top: 15px;
  	}
  	.logindiv
  	{
		font-size: larger;
  	}
  	#fgbtns
  	{
	    background-color: transparent;
	    color: #666666;
	    text-decoration: none;
	   	text-align: center;
		border: 1px solid #cfd0d1;
		display: inline-block;
		padding:0.3rem;
		box-sizing: border-box;
		background-color:white;
		width: 50%;
		height: 38px;
	}
	.social
	{
		margin-left: 14px;
	}
	.text
	{
		color: #999;
		font-size: 12px;
		margin: 0 3px;
		font-family:Roboto,sans-serif;
	}
	.orsection
	{
		margin: 15px 30px 12px;
		border-top: 1px solid #cecece;
		position: relative;
	}
	.or
	{
		padding: 4px;
		top: -13px;
		font-size: 12px;
		left: 50%;
		background: #fff;
		margin: 0 0 0 -16px;
		position: absolute;
		color: #666;
	}
input[type="text"] {
    padding: 4px 10px;
    margin-bottom: 0;
    border: 1px solid #ddd;
    box-sizing: border-box;
    height: 42px;
    width:100%;
}
input[type="password"] {
    padding: 4px 10px;
    margin-bottom: 0;
    border: 1px solid #ddd;
    box-sizing: border-box;
    height: 42px;
    width:100%;
}
.fb
{
	margin-left: -15px;
}
.google
{
	margin-left: 10px;
}
.forgot
{
	text-decoration: none;
}
.login
{
	width: 100%;
	font-size: 14px;
	color: white;
	border: none;
	font-weight:bold;
	height: 38px;
	background-color: #4A90E2;
	line-height: 38px;
}
.register
{
text-decoration:none;
	font-size:15px;
	font-color:white;
}
.email
{
	font-size:15px;
	margin-top: 25px;
}
.pwd
{
	font-size:15px;
	margin-top: 25px;
}
.username
{
	font-size:15px;
	margin-top: 10px;
}
.pwd1
{
	font-size:15px;
	margin-top: 10px;
}
.forgotdiv
{
	font-size:15px;
	margin-top: 2px;
}
.logindiv
{
	font-size:21px;
	margin-top: 10px;
}
.registerdiv
{
	font-size:15px;
	margin-top: 10px;
}
</style>
</head>
	<body>

	<h2>Modal Example</h2>

	<!-- Trigger/Open The Modal -->
	<button id="myBtn">Open Modal</button>

	<!-- The Modal -->
	<div id="myModal" class="modal">

	  <!-- Modal content -->
	  <div class="modal-content">
		<span class="close">&times;</span>
			<div align="center" border="1px">
				<form >
					<div class="logindiv" align="left" >Login</div>
					<div class="social">
					<div class="fbgodiv" align="left">
						<a class="fb" id="fgbtns" href="https://www.facebook.com"><img type="image/jpg" src="FacebookIcon.jpg" width="20px" height="20px"><span class="social">Facebook</span></a>
	  					<a class="google" href="https://www.google.com" id="fgbtns"><img type="image/png" src="GoogleIcon.png" width="20px" height="20px"><span class="social">Google</span></a>
	  				</div>
	  				<div><span class="text">All your activity will remain private.</span></div>
	  				</div>
					<div align="center" class="orsection"><span class="or">or</span></div>

					<div align="left" class="email">EmailId / Username</div>
					<div class="username" align="left"><input type="text" name="uname" required placeholder="Enter your Email Id or Username"></div>
					<div align="left" class="pwd">Password</div>
					<div class="pwd1" align="left"><input type="password" name="uname" required placeholder="Enter your Password"></div>
					<div class="forgotdiv"align="left"><a class="forgot" href="https://www.naukri.com/nlogin/forgotpassword"> forgot Password?</a></div>
					<div class="logindiv">
						<a href="index.html"><button class="login">LOGIN </button></a>
					</div>
					<div class="registerdiv">Not a member yet?<a class="register" href="Register.html">Register Now</div>
				</form>
			</div>
	  </div>

	</div>

<script>
// Get the modal
var modal = document.getElementById('myModal');

// Get the button that opens the modal
var btn = document.getElementById("myBtn");

// Get the <span> element that closes the modal
var span = document.getElementsByClassName("close")[0];

// When the user clicks the button, open the modal
btn.onclick = function() {
    modal.style.display = "block";
}

// When the user clicks on <span> (x), close the modal
span.onclick = function() {
    modal.style.display = "none";
}

// When the user clicks anywhere outside of the modal, close it
window.onclick = function(event) {
    if (event.target == modal) {
        modal.style.display = "none";
    }
}
</script>
</body>
</html>